org.modeshape.jcr.query

## Class QueryBuilder.RightHandSide

- java.lang.Object
- - org.modeshape.jcr.query.QueryBuilder.RightHandSide

- Enclosing class:
    QueryBuilder

      public class QueryBuilder.RightHandSide
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected QueryBuilder.ComparisonBuilder` | `comparisonBuilder`
    `protected Operator` | `operator`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `QueryBuilder.RightHandSide(QueryBuilder.ComparisonBuilder comparisonBuilder, Operator operator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(BigDecimal literal)` Define the right-hand side of a comparison.
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(boolean literal)` Define the right-hand side of a comparison.
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(DateTime literal)` Define the right-hand side of a comparison.
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(double literal)` Define the right-hand side of a comparison.
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(int literal)` Define the right-hand side of a comparison.
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(long literal)` Define the right-hand side of a comparison.
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(Name literal)` Define the right-hand side of a comparison.
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(Path literal)` Define the right-hand side of a comparison.
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(String literal)` Define the right-hand side of a comparison.
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(URI literal)` Define the right-hand side of a comparison.
    `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(UUID literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(BigDecimal literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(Binary literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(boolean literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(DateTime literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(double literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(float literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(int literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(long literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(Name literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(Path literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(QueryCommand subquery)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(String literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(URI literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `literal(UUID literal)` Define the right-hand side of a comparison.
    `QueryBuilder.ConstraintBuilder` | `variable(String variableName)` Define the right-hand side of a comparison.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### operator

          protected final Operator operator

    - #### comparisonBuilder

          protected final QueryBuilder.ComparisonBuilder comparisonBuilder

  - ### Constructor Detail

    - #### QueryBuilder.RightHandSide

          protected QueryBuilder.RightHandSide(QueryBuilder.ComparisonBuilder comparisonBuilder,
                                    Operator operator)

  - ### Method Detail

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(String literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(int literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(long literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(float literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(double literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(DateTime literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(Path literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(Name literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(URI literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(UUID literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(Binary literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(BigDecimal literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(boolean literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.ConstraintBuilder literal(QueryCommand subquery)

      Define the right-hand side of a comparison.
      Parameters:
        `subquery` - the subquery
      Returns:
        the constraint builder; never null

    - #### variable

          public QueryBuilder.ConstraintBuilder variable(String variableName)

      Define the right-hand side of a comparison.
      Parameters:
        `variableName` - the name of the variable
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(int literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(String literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(boolean literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(long literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(double literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(BigDecimal literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(DateTime literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(Name literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(Path literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(UUID literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(URI literal)

      Define the right-hand side of a comparison.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.